Vector::BLF::LinSendError2(3)

NAME
Vector::BLF::LinSendError2 - LIN_SND_ERROR2.

SYNOPSIS

#include <LinSendError2.h>

Inherits Vector::BLF::ObjectHeader, and Vector::BLF::LinMessageDescriptor.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint64_t eoh {}
EndOfHeader timestamp.
uint8_t isEtf {}
Event-triggered frame.
uint8_t fsmId {}
uint8_t fsmState {}
uint8_t reservedLinSendError1 {}
uint32_t reservedLinSendError2 {}
double exactHeaderBaudrate {}
Exact baudrate of the header in bit/sec.
uint32_t earlyStopbitOffset {}
Early stop bit offset for UART timestamps in ns.
uint32_t reservedLinSendError3 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type
Public Attributes inherited from Vector::BLF::LinMessageDescriptor
uint16_t supplierId {}
LIN Sub-Identifier - Supplier ID.
uint16_t messageId {}
LIN Sub-Identifier - Message ID (16 bits).
uint8_t nad {}
LIN Sub-Identifier - NAD.
uint8_t id {}
LIN ID.
uint8_t dlc {}
LIN DLC.
uint8_t checksumModel {}
LIN checksum model.
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t synchBreakLength {}
Sync Break Length in ns.
uint64_t synchDelLength {}
Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_SND_ERROR2. This event occurs when no Slave responds to a frame header from Master.

Member Function Documentation

  uint32_t Vector::BLF::LinSendError2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinSendError2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinSendError2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::LinSendError2::earlyStopbitOffset {}

Early stop bit offset for UART timestamps in ns. Early stop bit offset in frame header for UART timestamps [in ns]

  uint64_t Vector::BLF::LinSendError2::eoh {}

EndOfHeader timestamp. End of header timestamp [in nanosecond]

  double Vector::BLF::LinSendError2::exactHeaderBaudrate {}

Exact baudrate of the header in bit/sec. Event's baudrate measured in header [in bits/sec]

  uint8_t Vector::BLF::LinSendError2::fsmId {}
Slave Identifier in the Final State Machine (obsolete)

  uint8_t Vector::BLF::LinSendError2::fsmState {}
State Identifier of a Slave in the Final State Machine (obsolete)

  uint8_t Vector::BLF::LinSendError2::isEtf {}

Event-triggered frame. Flag indicating whether this frame is Event- Triggered one:

•   0: not ETF

•   1: ETF

  uint8_t Vector::BLF::LinSendError2::reservedLinSendError1 {}
reserved

  uint32_t Vector::BLF::LinSendError2::reservedLinSendError2 {}
reserved

  uint32_t Vector::BLF::LinSendError2::reservedLinSendError3 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.